package cn.newfeifan.mall.module.distri.controller.app.sharepath.vo;

import cn.newfeifan.mall.module.member.controller.admin.user.vo.MemberUserRespVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Builder;
import lombok.Data;

import java.util.List;


@Schema(description = "用户 APP - 分销用户关系 Response VO")
@Data
@Builder
public class AppSharePathRespVO {
    @Schema(description = "推荐人")
    private MemberUserRespVO referrerUser;

    @Schema(description = "上级")
    private MemberUserRespVO parentUser;

    @Schema(description = "团队成员")
    private List<MemberUserRespVO> descendants;
}
